import uvicorn
from fastapi import FastAPI
from fastapi.staticfiles import StaticFiles
from starlette.templating import Jinja2Templates

from src.api.api_v1.endpoints.main import main_router

app = FastAPI(
    title="PythonProject", openapi_url=f"/api/v1/openapi.json"
)

app.include_router(
    main_router,
)

if __name__ == '__main__':
    uvicorn.run("src.main:app", host="localhost", log_level="info")
